org.apache.lucene.queryparser.flexible.standard.config

## Class FieldDateResolutionFCListener

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.config.FieldDateResolutionFCListener

- All Implemented Interfaces:
    FieldConfigListener

      public class FieldDateResolutionFCListener
      extends Object
      implements FieldConfigListener

  This listener listens for every field configuration request and assign a `StandardQueryConfigHandler.ConfigurationKeys.DATE_RESOLUTION` to the equivalent `FieldConfig` based on a defined map: fieldName -> `DateTools.Resolution` stored in `StandardQueryConfigHandler.ConfigurationKeys.FIELD_DATE_RESOLUTION_MAP`.
  See Also:
    `StandardQueryConfigHandler.ConfigurationKeys.DATE_RESOLUTION`, `StandardQueryConfigHandler.ConfigurationKeys.FIELD_DATE_RESOLUTION_MAP`, `FieldConfig`, `FieldConfigListener`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldDateResolutionFCListener(QueryConfigHandler config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFieldConfig(FieldConfig fieldConfig)` This method is called ever time a field configuration is requested.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldDateResolutionFCListener

          public FieldDateResolutionFCListener(QueryConfigHandler config)

  - ### Method Detail

    - #### buildFieldConfig

          public void buildFieldConfig(FieldConfig fieldConfig)

      Description copied from interface: `FieldConfigListener`
      This method is called ever time a field configuration is requested.
      Specified by:
        `buildFieldConfig` in interface `FieldConfigListener`
      Parameters:
        `fieldConfig` - the field configuration requested, should never be null

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.